Skip to main content
GET
/
api
/
leads
Get leads (search or single)
curl --request GET \
  --url https://app.tuco.ai/api/leads \
  --header 'Authorization: Bearer <token>'
{
  "leads": [
    {
      "_id": "69a2e8e6c580cf046a551fde",
      "firstName": "Tuco test",
      "lastName": null,
      "email": "goforbg@icloud.com",
      "phone": null,
      "listId": "69a1fc43a00b806f643082df",
      "workspaceId": "org_3ABCDbdGyF6w99hikyVN4cmo6H0",
      "source": "api",
      "createdAt": "2026-02-28T13:08:54.421Z",
      "updatedAt": "2026-02-28T13:08:54.421Z"
    }
  ],
  "lists": [
    {
      "_id": "69a1fc43a00b806f643082df",
      "name": "Quick Sends",
      "description": "Quick send messages",
      "workspaceId": "org_3ABCDbdGyF6w99hikyVN4cmo6H0",
      "leadCount": 2,
      "createdAt": "2026-02-27T20:19:15.930Z",
      "updatedAt": "2026-03-01T22:13:29.337Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "totalCount": 1,
    "totalPages": 1
  }
}

Authorizations

Authorization
string
header
required

Workspace API key: Authorization: Bearer tuco_sk_xxxxxxxxxxxxx

Query Parameters

id
string

Single lead ID (returns { lead })

Search firstName, lastName, email, phone, companyName (case-insensitive)

listId
string

Filter by list

page
integer
default:1
limit
integer
default:50

Response

Leads and lists (or single lead when id provided)

lead
object